//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: ID.hpp,v 1.22 2004/10/12 21:37:57 gmf Exp $
//

#ifndef __ID_HPP
#define	__ID_HPP

#include <iosfwd>
#include <db_cxx.h>

class Dbt;

namespace DbXml
{

class DbtOut;

class ID
{
public:
	ID() : id_(0)
	{}
	ID(u_int32_t id) : id_(id)
	{ }
	void reset()
	{
		id_ = 0;
	}
	u_int32_t raw() const
	{
		return id_;
	}
	void setThisFromDbt(const Dbt &dbt);
	void setDbtFromThis(DbtOut &dbt) const;
	int operator==(const ID &o) const
	{
		return id_ == o.id_;
	}
	int operator==(u_int32_t id) const
	{
		return id_ == id;
	}
	int operator!=(const ID &o) const
	{
		return id_ != o.id_;
	}
	int operator!=(u_int32_t id) const
	{
		return id_ != id;
	}
	bool operator<(const ID &o) const
	{
		return id_ < o.id_;
	}
	// default implementation
	// ID(const ID&);
	// void operator=(const ID &);
private:
	u_int32_t id_;
};

std::ostream& operator<<(std::ostream& s, ID id);

}

#endif

