//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: ApplyChangesCommand.cpp,v 1.2 2004/08/19 16:52:27 gareth Exp $
//

#include "ApplyChangesCommand.hpp"

using namespace DbXml;
using namespace std;

string ApplyChangesCommand::getCommandName() const
{
  return "applychanges";
}

string ApplyChangesCommand::getBriefHelp() const
{
  return "Sets apply changes to on or off in the default update context";
}

string ApplyChangesCommand::getMoreHelp() const
{
  return
    string("Takes either on or off as an argument. This command uses the\n") +
    string("XmlUpdateContext::setApplyChangesToContainers() method.");
}

void ApplyChangesCommand::execute(Args &args, Environment &env)
{
  if(args.size() != 2) {
    throw CommandException("Wrong number of arguments");
  }

  if(args[1] == "on") {
    env.uc().setApplyChangesToContainers(true);
    if(env.verbose()) cout << "Apply changes on" << endl;
  }
  else {
    env.uc().setApplyChangesToContainers(false);
    if(env.verbose()) cout << "Apply changes off" << endl;
  }
}

