//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: CommitCommand.cpp,v 1.5 2004/09/27 17:10:41 jsnelson Exp $
//

#include "CommitCommand.hpp"

using namespace DbXml;
using namespace std;

string CommitCommand::getCommandName() const
{
  return "commit";
}

string CommitCommand::getBriefHelp() const
{
  return "Commits the current transaction, and starts a new one";
}

string CommitCommand::getMoreHelp() const
{
  return
    string("Takes no arguments. This command uses the XmlTransaction::commit()\n") +
    string("method.");
}

void CommitCommand::execute(Args &args, Environment &env)
{
  if(args.size() != 1) {
    throw CommandException("Wrong number of arguments");
  }
  env.deleteResults();

  env.testTransaction();
  env.commitTransaction();
  delete env.txn();
  env.txn() = 0;
  if(env.verbose()) cout << "Transaction committed" << endl;
}

