//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2004
//	Sleepycat Software.  All rights reserved.
//
// $Id: SetBaseURICommand.cpp,v 1.2 2004/08/19 16:52:27 gareth Exp $
//

#include "SetBaseURICommand.hpp"

using namespace DbXml;
using namespace std;

string SetBaseURICommand::getCommandName() const
{
  return "baseuriset";
}

string SetBaseURICommand::getBriefHelp() const
{
  return "Set the base uri in the default context";
}

string SetBaseURICommand::getMoreHelp() const
{
  return
    string("Takes the new base uri as an argument.\n") +
    string("This command uses the XmlQueryContext::setBaseURI() method.");
}

void SetBaseURICommand::execute(Args &args, Environment &env)
{
  if(args.size() != 2) {
    throw CommandException("Wrong number of arguments");
  }

  if(env.verbose()) cout << "Base URI = " << args[1] << endl;
  env.context().setBaseURI(args[1]);
}

